/*
 * irx.h
 *
 * Copyright (C) 1998 Alan Penner        (apenner@andrew.cmu.edu)
 *                    Ryan de Jonckheere (rjd@andrew.cmu.edu)
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 * 
 *
 */

#ifndef IRX_H
#define IRX_H

#define SUCCESS 1
#define FAIL    0

#define DEFAULTLIRCSERVER "localhost"
#define LIRC_PORT 12345
#define NAMESIZE 255
#define KEYDELAY 250000  // delay in usec between keypress and keyrelease

extern void die(const char* fault);

typedef unsigned long long ullong;

#endif
